SpringAuthenticationAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.security.SpringAuthenticationAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.security
Class SpringAuthenticationAdapter

    java.lang.Object
      org.mule.module.spring.security.SpringAuthenticationAdapter

All Implemented Interfaces:
  Authentication

    public class SpringAuthenticationAdapter

extends Object
implements Authentication

Constructor Summary
`SpringAuthenticationAdapter(org.springframework.security.Authentication authentication)`
`SpringAuthenticationAdapter(org.springframework.security.Authentication authentication, Map properties)`

Method Summary
`boolean` | `equals(Object another)`
`org.springframework.security.GrantedAuthority[]` | `getAuthorities()`
`Object` | `getCredentials()`
`org.springframework.security.Authentication` | `getDelegate()`
`Object` | `getDetails()`
`String` | `getName()`
`Object` | `getPrincipal()`
`Map` | `getProperties()`
`int` | `hashCode()`
`boolean` | `isAuthenticated()`
`void` | `setAuthenticated(boolean b)`
`void` | `setProperties(Map properties)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringAuthenticationAdapter

    public SpringAuthenticationAdapter(org.springframework.security.Authentication authentication)

### SpringAuthenticationAdapter

    public SpringAuthenticationAdapter(org.springframework.security.Authentication authentication,
                                       Map properties)

Method Detail

### setAuthenticated

    public void setAuthenticated(boolean b)

  Specified by:
    `setAuthenticated` in interface `Authentication`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `Authentication`

### getAuthorities

    public org.springframework.security.GrantedAuthority[] getAuthorities()

### getCredentials

    public Object getCredentials()

  Specified by:
    `getCredentials` in interface `Authentication`

### getDetails

    public Object getDetails()

### getPrincipal

    public Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `Authentication`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object another)

  Overrides:
    `equals` in class `Object`

### getName

    public String getName()

### getDelegate

    public org.springframework.security.Authentication getDelegate()

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `Authentication`

### setProperties

    public void setProperties(Map properties)

  Specified by:
    `setProperties` in interface `Authentication`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.